# Greek Exposure By Expiry `GET` `https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure/expiry` The greek exposure of a ticker grouped by expiry dates across all contracts on a given market date. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `call_charm` | Gex Call Charm | The sum of the charm values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_delta` | Gex Call Delta | The sum of the delta values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_gex` | Gex Call Gamma | The sum of the gamma values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `call_vanna` | Gex Call Vanna | The sum of the vanna values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `expiry` | Expiry | The expiry date of an option contract in ISO format. | | `put_charm` | Gex Put Charm | The sum of the charm values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_delta` | Gex Put Delta | The sum of the delta values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_gex` | Gex Put Gamma | The sum of the gamma values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | | `put_vanna` | Gex Put Vanna | The sum of the vanna values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract). | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure/expiry" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/greek-exposure/expiry", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "call_charm": "102382359.5786", "call_delta": "227549667.4651", "call_gex": "9356683.4241", "call_vanna": "152099632406.9564", "date": "2022-05-20", "dte": 5, "expiry": "2022-05-25", "put_charm": "-943028472.4815", "put_delta": "-191893077.7193", "put_gex": "-12337386.0524", "put_vanna": "488921784213.1121" }, { "call_charm": "81465130.0002", "call_delta": "210202465.3421", "call_gex": "8456599.8505", "call_vanna": "161231587973.6811", "date": "2022-05-20", "dte": 5, "expiry": "2022-05-25", "put_charm": "-1054548432.6111", "put_delta": "-210881557.3003", "put_gex": "-12703877.0243", "put_vanna": "488921784213.1121" } ] } ```